Subject: Re: Anyone got latex2html to work on cygwin?? Fatal (use l2hconf): l2hconf.pm
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Thu, 16 Dec 2004 21:35:55 -0800

On Thu, Dec 16, 2004 at 05:10:38PM -0800, bill BW wrote:
> 
> --- Igor Pechtchanski wrote:
> 
> > On Thu, 16 Dec 2004, bill BW wrote:
> > 
> 
> > > $ latex2html foo.tex
> > > Fatal (use l2hconf): l2hconf.pm did not return a
> > true value at (eval 7) line 2.
> > > BEGIN failed--compilation aborted at (eval 7) line
> > 2.
> > >
> > > I look at the file l2hconf.pm, and I
> > > see this as first 3 lines:
> > >
> > > #!/perl
> > > # LaTeX2HTML l2hconf.pm
> > > # $Id: l2hconf.pin,v 1.17 2002/06/15 22:46:36 RRM
> > Exp $
> > 
> 
> 
> > You should look at the whole file, to see what the
> > last returned value is.
> > The last line of the file is usually "1;".
> > 
> 
> Yes it is. I did not touch the file l2hconf.m

> This is what I tried now:
> I looked at latex2html to see where it calls
> l2hconf.pm, it is at lines 120:130 
> 
> ------ from latex2html ------
> 
> # Local configuration, read at runtime
> # Read the $CONFIG_FILE  (usually l2hconf.pm )
> if($ENV{'L2HCONFIG'}) {
>   require $ENV{'L2HCONFIG'} ||
>     die "Fatal (require $ENV{'L2HCONFIG'}): $!";
> } else {
>   eval 'use l2hconf';
>   if($@) {
>     die "Fatal (use l2hconf): $@\n";
>   }
> }
> 
> --------- end latex2html cut ---------
> 
> so to test this, from cygwin shell I typed just
> the command that calls l2hconf as follows:
> 
> ---- start test -----
> 
> $ perl
> eval 'use l2hconf';
> if($@) {
>  die "Fatal (use l2hconf): $@\n";
> }
> 
> Fatal (use l2hconf): Undefined subroutine
> &main::ignore_commands called at l2hconf.pm line 
> 1216.
> 
> Compilation failed in require at (eval 1) line 2.
> BEGIN failed--compilation aborted at (eval 1) line 2.
> 
> ----- end test --------
> 
> Ok, so the real problem is really at line 1216 in
> l2hconf.pm. so I went to line 1216 there, and
> this is the content starting from line 1216:
> 
> ---- line 1216 to line 1217
> 
> &::ignore_commands( <<_IGNORED_CMDS_);
> htmlrule # [] # \$_ = join('',"<BR><HR>",\$_) 

That doesn't follow.  That error indicates that l2hconf is expecting
whatever used it to have set up an ignore_commands sub, which your test
doesn't do.

I'd recommend using the perl debugger (perl -d latex2html foo.tex)
to step through and see if you can isolate where things are going
astray.  See perldoc perldebtut for help.

> any more information I can provide on this?

Does the file on the website you linked to exactly match yours?  There's
a part of it that says it is site specific.  If there were a place you
could put your l2hconf.pm and latex2html on the web, I'd recommend you
ask at http://perlmonks.org/?node=Seekers%20of%20Perl%20Wisdom if using
the debugger doesn't help you.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/